Package org.apache.solr.cluster.api

## Interface Resource

    public interface Resource

A binary resource. The impl is agnostic of the content type

### Nested Class Summary

Nested Classes
`static interface` `Resource.Consumer`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `get​(Resource.Consumer resourceConsumer)` read a file/resource.
`String` `name()` This is a full path.

### Method Detail

#### name

    String name()

This is a full path. e.g schema.xml , solrconfig.xml , lang/stopwords.txt etc

#### get

    void get​(Resource.Consumer resourceConsumer)
      throws SolrException

read a file/resource. The caller should consume the stream completely and should not hold a reference to this stream. This method closes the stream soon after the method returns

Parameters:
  `resourceConsumer` - This should be a full path. e.g schema.xml, solrconfig.xml, lang/stopwords.txt etc
Throws:
  `SolrException`